org.mariadb.jdbc.internal.common.query

## Interface ParameterizedQuery

All Superinterfaces:
  Query

All Known Implementing Classes:
  MySQLClientParameterizedQuery

    public interface ParameterizedQuery
    extends Query

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `clearParameters()` clears the parameters.
`int` `getParamCount()` get the number of parameters in this query.
`ParameterHolder[]` `getParameters()`
`String` `getQuery()`
`byte[][]` `getQueryPartsArray()`
`void` `setParameter(int position, ParameterHolder parameter)` Sets a parameter at a position.

### Methods inherited from interface org.mariadb.jdbc.internal.common.query.Query

`getQueryType, validate, writeFirstRewritePart, writeLastRewritePart, writeTo, writeToRewritablePart`

### Method Detail

#### getParamCount

    int getParamCount()

get the number of parameters in this query.

Returns:
  number of parameters

#### clearParameters

    void clearParameters()

clears the parameters.

#### setParameter

    void setParameter(int position,
                      ParameterHolder parameter)
               throws IllegalParameterException

Sets a parameter at a position. The positions start at 0.

Parameters:
  `position` - the position to set it at
  `parameter` - the parameter to set
Throws:
  `IllegalParameterException` - if, for example, the position is out of bounds

#### getParameters

    ParameterHolder[] getParameters()

#### getQuery

    String getQuery()

Specified by:
  `getQuery` in interface `Query`

#### getQueryPartsArray

    byte[][] getQueryPartsArray()